Last Comment Bug 450698 - The second argument of nsParseNewMailState::AppendMsgFromFile should be PRUint32.
: The second argument of nsParseNewMailState::AppendMsgFromFile should be PRUin...
Status: VERIFIED FIXED
: verified1.8.1.17
Product: MailNews Core
Classification: Components
Component: Filters (show other bugs)
: unspecified
: All All
: -- critical (vote)
: mozilla1.9.1a2
Assigned To: Hiroyuki Ikezoe (:hiro)
:
Mentors:
Depends on:
Blocks: 449741
  Show dependency treegraph
 
Reported: 2008-08-14 18:52 PDT by Hiroyuki Ikezoe (:hiro)
Modified: 2008-09-04 19:04 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
[checked in] Patch for trunk. (1.21 KB, patch)
2008-08-14 18:54 PDT, Hiroyuki Ikezoe (:hiro)
mozilla: review+
mozilla: superreview+
Details | Diff | Splinter Review
Patch for stable. (2.19 KB, patch)
2008-08-14 18:58 PDT, Hiroyuki Ikezoe (:hiro)
mozilla: review+
dmose: approval1.8.1.17+
Details | Diff | Splinter Review

Description Hiroyuki Ikezoe (:hiro) 2008-08-14 18:52:44 PDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.15) Gecko/20080702 Ubuntu/8.04 (hardy) Firefox/2.0.0.15 Kazehakase/0.5.4
Build Identifier: 

The second argument of nsParseNewMailState::AppendMsgFromFile should be PRUint32.

This causes user data loss.


Reproducible: Always

Steps to Reproduce:
1.
2.
3.
Comment 1 Hiroyuki Ikezoe (:hiro) 2008-08-14 18:54:24 PDT
Created attachment 333868 [details] [diff] [review]
[checked in] Patch for trunk.
Comment 2 Hiroyuki Ikezoe (:hiro) 2008-08-14 18:58:17 PDT
Created attachment 333869 [details] [diff] [review]
Patch for stable.
Comment 3 Hiroyuki Ikezoe (:hiro) 2008-08-14 18:59:24 PDT
(In reply to comment #1)
> Created an attachment (id=333868) [details]
> Patch for trune.

I meant trunk. :-) 

Comment 4 David :Bienvenu 2008-08-14 20:14:14 PDT
Comment on attachment 333868 [details] [diff] [review]
[checked in] Patch for trunk.

looks good, thanks for the patch
Comment 5 Hiroyuki Ikezoe (:hiro) 2008-08-14 21:21:56 PDT
David, could you please review also the patch for stable? I suspect some people in BUG 321371 suffering by this issue.
Comment 6 Hiroyuki Ikezoe (:hiro) 2008-08-17 18:22:54 PDT
Comment on attachment 333869 [details] [diff] [review]
Patch for stable.

This patch raises stability and robustness.
Comment 7 Mark Banner (:standard8) 2008-08-19 06:12:53 PDT
Comment on attachment 333868 [details] [diff] [review]
[checked in] Patch for trunk.

Checked in, changeset id: 142:b35225196fb0
Comment 8 Mark Banner (:standard8) 2008-08-19 06:14:37 PDT
This is now fixed on trunk, therefore marking as fixed (as per normal process), the approval request will still be picked up for branch.
Comment 9 Hiroyuki Ikezoe (:hiro) 2008-08-19 15:14:15 PDT
Mark, thank you for your kindly instruction. I completely understand check-in process now.

David, thank you for your hard-working efforts!

Comment 10 David :Bienvenu 2008-08-22 07:57:34 PDT
Comment on attachment 333869 [details] [diff] [review]
Patch for stable.

thx for the patch
Comment 11 Phil Ringnalda (:philor, back in August) 2008-08-26 20:24:06 PDT
mailnews/local/src/nsParseMailbox.cpp 1.258.2.19
mailnews/local/src/nsParseMailbox.h 1.80.2.8
Comment 12 Stephen Donner [:stephend] 2008-08-29 18:11:04 PDT
http://mxr.mozilla.org/mozilla1.8/source/mailnews/local/src/nsParseMailbox.cpp#2162:

2162 nsresult nsParseNewMailState::AppendMsgFromFile(nsIOFileStream *fileStream, 
2163                                                 PRUint32 offset, PRUint32 length,
2164                                                 nsFileSpec &destFileSpec)

http://mxr.mozilla.org/mozilla1.8/source/mailnews/local/src/nsParseMailbox.h#258:

258   nsresult AppendMsgFromFile(nsIOFileStream *fileStream, PRUint32 offset, 
259                              PRUint32 length, nsFileSpec &destFileSpec);

Verified FIXED via code inspection; replacing fixed1.8.1.17 keyword with verified1.8.1.7.
Comment 13 Stephen Donner [:stephend] 2008-09-04 19:04:52 PDT
Verified FIXED on trunk:

http://mxr.mozilla.org/comm-central/source/mailnews/local/src/nsParseMailbox.cpp#2204

2204 nsresult nsParseNewMailState::AppendMsgFromFile(nsIInputStream *fileStream,
2205                                                 PRUint32 offset, PRUint32 length,
2206                                                 nsILocalFile *destFile)

http://mxr.mozilla.org/comm-central/source/mailnews/local/src/nsParseMailbox.h#252

252   nsresult AppendMsgFromFile(nsIInputStream *fileStream, PRUint32 offset,
253                              PRUint32 length, nsILocalFile *destFile);

Note You need to log in before you can comment on or make changes to this bug.